Package net.snowflake.client.internal.core.minicore

## Class LibcDetector

- java.lang.Object
- - net.snowflake.client.internal.core.minicore.LibcDetector

    @SnowflakeJdbcInternalApi
    public class LibcDetector
    extends Object

This class distinguishes between glibc (GNU C Library) and musl libc by attempting to call the glibc-specific function gnu_get_libc_version().

### Nested Class Summary

Nested Classes
`static class` `LibcDetector.LibcVariant`

### Constructor Summary

Constructors
`LibcDetector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LibcDetector.LibcVariant` `detectLibcVariant()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibcDetector

    public LibcDetector()

### Method Detail

#### detectLibcVariant

    public static LibcDetector.LibcVariant detectLibcVariant()